# InlineResponse2001

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **int32** | Идентификатор аккаунта | [default to null]
**Description** | **string** | Описание аккаунта | [default to null]
**BillingGroupId** | **int32** | Идентификатор тарифной группы | [default to null]
**Blocked** | **string** | Аккаунт заблокирован, если true | [default to null]
**BlockedDate** | **string** | Дата блокировки | [optional] [default to null]
**BlockedReason** | **string** | Причина блокировки | [optional] [default to null]
**CreditLimit** | **float32** | Ограничение суммы на работу в аванс | [default to null]
**PlanId** | **int32** | Идентификатор тарифа | [default to null]
**PeriodId** | **int32** | Идентификатор тарифа (периода) | [default to null]
**ContractType** | **int32** | Тип договора | [default to null]
**ClientId** | **int32** |  | [default to null]
**ClientLogin** | **string** | Логин клиента | [default to null]
**ContractId** | **string** | Номер договора | [default to null]
**NameRus** | **string** | Имя клиента на русском | [default to null]
**NameEng** | **string** | Имя клиента на английском | [default to null]
**Email** | **string** | E-mail клиент | [default to null]
**StatSites** | **int32** | Количество созданных сайтов | [default to null]
**StatSizeMb** | **int32** | Используемое дисковое пространство | [default to null]
**StatEmails** | **int32** | Количество созданных почтовых ящиков | [default to null]
**StatMysqls** | **int32** | Количество баз данных MySQL | [default to null]
**StatTech** | **int32** |  | [default to null]
**StatNicd** | **int32** |  | [default to null]
**StatAccessDynamic** | **int32** |  | [default to null]
**StatAccessStatic** | **int32** |  | [default to null]
**StatAccessTraffic** | **int32** |  | [default to null]
**StatPaidTotal** | **int32** |  | [default to null]
**StatVdsSize** | **int32** | Размер дисков VDS | [default to null]
**PlanName** | **string** | Название тарифного плана | [default to null]
**PeriodMonths** | **int32** | Количество месяцев в оплаченном периоде | [default to null]
**PeriodPrice** | **float32** | Стоимость оплаченного периода | [default to null]
**Expires** | **string** |  | [default to null]
**ExternalCurrencySpelledPrefix** | **string** | Префикс для вывода текущей валюты хостинга (например, в строке &#39;$100&#39; префиксом является &#39;$&#39;) | [default to null]
**ExternalCurrencySpelledSuffix** | **string** | Суффикс для вывода текущей валюты хостинга (например, в строке &#39;100 руб.&#39; суффиксом является &#39; руб.&#39; | [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


